﻿using WordPressPCL;
using WordPressPCL.Models;

namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    /// <returns>태스크</returns>
    private async static Task Main()
    {
        WordPressClient client = new WordPressClient("https://somebody_wordpress.com/wp-json/");

        IEnumerable<Post> postEnumerable = await client.Posts.GetAllAsync();

        foreach(Post post in postEnumerable)
        {
            string title = post.Title.Rendered.Trim();

            Console.WriteLine(title);
        }
    }

    #endregion
}